Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::gemm::IdentityBlockSwizzle Struct Reference

`#include <threadblock_swizzle.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | IdentityBlockSwizzle ()
| Ctor. aka ColumnMajorBlockSwizzle<1> More...
CUTLASS_DEVICE dim3 | swizzle ()
| Swizzle the block index. More...
CUTLASS_HOST_DEVICE dim3 | get_grid_layout (GemmCoord const &problem_size, Coord< 3 > const &OutputTile)
CUTLASS_DEVICE Coord< 3 > | get_threadblock_offset (Coord< 3 > const &OutputTile)
| get threadblock offset, without considering tha batch dim More...
CUTLASS_DEVICE int | get_batch_id ()
CUTLASS_DEVICE bool | is_last_partition ()
| check if at the last partition More...
CUTLASS_DEVICE Coord< 3 > | get_threadblock_bounds (GemmCoord const &problem_size, int partitionK_range)

## Constructor & Destructor Documentation

## ◆ IdentityBlockSwizzle()

CUTLASS_HOST_DEVICE cutlass::gemm::IdentityBlockSwizzle::IdentityBlockSwizzle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get_batch_id()

CUTLASS_DEVICE int cutlass::gemm::IdentityBlockSwizzle::get_batch_id | ( |  | ) |
| inline

## ◆ get_grid_layout()

CUTLASS_HOST_DEVICE dim3 cutlass::gemm::IdentityBlockSwizzle::get_grid_layout | ( | GemmCoord const & | problem_size,
|  | Coord< 3 > const & | OutputTile
| ) |  |
| inline

## ◆ get_threadblock_bounds()

CUTLASS_DEVICE Coord<3> cutlass::gemm::IdentityBlockSwizzle::get_threadblock_bounds | ( | GemmCoord const & | problem_size,
|  | int | partitionK_range
| ) |  |
| inline

## ◆ get_threadblock_offset()

CUTLASS_DEVICE Coord<3> cutlass::gemm::IdentityBlockSwizzle::get_threadblock_offset | ( | Coord< 3 > const & | OutputTile | ) |
| inline

## ◆ is_last_partition()

CUTLASS_DEVICE bool cutlass::gemm::IdentityBlockSwizzle::is_last_partition | ( |  | ) |
| inline

## ◆ swizzle()

CUTLASS_DEVICE dim3 cutlass::gemm::IdentityBlockSwizzle::swizzle | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- gemm/threadblock_swizzle.h